| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Parser
Parser.RCS

# Method Parser.RCS()->parse()

Method parse

  `this_program parse(array raw, void|function(string:void) progress_callback)`

Description

  Parse the RCS file raw and initialize all members of this object fully initialized.

Parameter `raw`

  The unprocessed RCS file.

Parameter `progress_callback`

  Passed on to parse_deltatext_sections .

Returns

  The fully initialized object (only returned for API convenience; the object itself is destructively modified to match the data extracted from raw )

See also

  parse_admin_section , parse_delta_sections , parse_deltatext_sections , create